﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using Infragistics.Windows.DataPresenter;
using System.Collections.ObjectModel;

namespace HostAnyControl
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        private ComplexDataType[] dataSource = null;

        public Window1()
        {
            InitializeComponent();

            // we are forced to use arrays here instead of the preferred ObservableCollection<T>. I Cannot change this.
            // simulates the approach used in our production code base.

            dataSource = new ComplexDataType[5];
            dataSource[0] = new ComplexDataType(true, "one");
            dataSource[1] = new ComplexDataType(true, "two");
            dataSource[2] = new ComplexDataType(false, "three");
            dataSource[3] = new ComplexDataType(false, "four");
            dataSource[4] = new ComplexDataType(true, "five");
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            // simulates the approach used in our production code base.
            this.dataGrid.SetBinding(DataPresenterBase.DataSourceProperty, new Binding { Source = this.dataSource });
        }
    }
}
